org.apache.http.impl.cookie

## Class RFC2965SpecProvider

- java.lang.Object
- - org.apache.http.impl.cookie.RFC2965SpecProvider

- All Implemented Interfaces:
    CookieSpecProvider

      @Obsolete
      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class RFC2965SpecProvider
      extends Object
      implements CookieSpecProvider

  `CookieSpecProvider` implementation that provides an instance of `RFC2965Spec`. The instance returned by this factory can be shared by multiple threads.

  Rendered obsolete by `RFC6265CookieSpecProvider`

  Since:
    4.4
  See Also:
    `RFC6265CookieSpecProvider`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC2965SpecProvider()`
    `RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher)`
    `RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher, boolean oneHeader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieSpec` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RFC2965SpecProvider

          public RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher,
                             boolean oneHeader)

    - #### RFC2965SpecProvider

          public RFC2965SpecProvider(PublicSuffixMatcher publicSuffixMatcher)

    - #### RFC2965SpecProvider

          public RFC2965SpecProvider()

  - ### Method Detail

    - #### create

          public CookieSpec create(org.apache.http.protocol.HttpContext context)

      Description copied from interface: `CookieSpecProvider`
      Creates an instance of `CookieSpec`.
      Specified by:
        `create` in interface `CookieSpecProvider`
      Returns:
        auth scheme.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.